"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var B=Object.create;var w=Object.defineProperty;var v=Object.getOwnPropertyDescriptor;var D=Object.getOwnPropertyNames;var C=Object.getPrototypeOf,E=Object.prototype.hasOwnProperty;var I=(t,o)=>()=>(o||t((o={exports:{}}).exports,o),o.exports);var R=(t,o,r,a)=>{if(o&&typeof o=="object"||typeof o=="function")for(let s of D(o))!E.call(t,s)&&s!==r&&w(t,s,{get:()=>o[s],enumerable:!(a=v(o,s))||a.enumerable});return t};var g=(t,o,r)=>(r=t!=null?B(C(t)):{},R(o||!t||!t.__esModule?w(r,"default",{value:t,enumerable:!0}):r,t));var h=(t,o,r)=>new Promise((a,s)=>{var c=l=>{try{i(r.next(l))}catch(u){s(u)}},p=l=>{try{i(r.throw(l))}catch(u){s(u)}},i=l=>l.done?a(l.value):Promise.resolve(l.value).then(c,p);i((r=r.apply(t,o)).next())});var f=I((H,_)=>{_.exports=Vue});var x=g(f()),z=t=>typeof t=="string";function b(t,o,...r){uni.__log__?uni.__log__(t,o,...r):console[t].apply(console,[...r,o])}function S(t,o){return z(t)?o:t}var n=g(f());var d=(t,o)=>{let r=t.__vccOpts||t;for(let[a,s]of o)r[a]=s;return r};var F=(0,n.defineComponent)({__name:"Header",props:{back:{type:Boolean,default:!0},background:{default:"white"},full:{type:Boolean,default:!0},statusBar:{default:"dark"},blur:{default:"none"},labels:{default:()=>["one","two"]}},setup(t){let o=t,r=()=>uni.navigateBack({delta:1}),a=uni.getSystemInfoSync(),s=a.safeAreaInsets.top+a.statusBarHeight+"rpx",c=a.statusBarHeight*(750/a.windowWidth)+85+"rpx";return plus.navigator.setStatusBarStyle(o.statusBar=="dark"?"dark":"light"),(p,i)=>((0,n.openBlock)(),(0,n.createElementBlock)(n.Fragment,null,[(0,n.createElementVNode)("view",{class:"headerbox",blurEffect:(0,n.unref)(o).blur,style:(0,n.normalizeStyle)({background:(0,n.unref)(o).background,height:(0,n.unref)(c),"padding-top":(0,n.unref)(s)})},[t.back?((0,n.openBlock)(),(0,n.createElementBlock)("view",{key:0,class:"back",onClick:r},[(0,n.renderSlot)(p.$slots,"back",{},()=>[(0,n.createElementVNode)("u-text",{class:"myIcon"},"\uE779")])])):(0,n.createCommentVNode)("",!0),(0,n.renderSlot)(p.$slots,"box")],12,["blurEffect"]),(0,n.unref)(o).full?((0,n.openBlock)(),(0,n.createElementBlock)("view",{key:0,class:"empty",style:(0,n.normalizeStyle)({height:(0,n.unref)(c)})},null,4)):(0,n.createCommentVNode)("",!0)],64))}}),L={headerbox:{"":{width:"750rpx",position:"fixed",zIndex:999,display:"flex",flexDirection:"row",alignItems:"center",justifyContent:"space-between",paddingLeft:"25rpx",paddingRight:"25rpx"}},back:{".headerbox ":{width:"60rpx",height:"60rpx"}},myIcon:{".headerbox .back ":{fontSize:"50rpx"}},empty:{".headerbox ":{width:"160rpx",height:"50rpx"},"":{width:"750rpx"}}},k=d(F,[["styles",[L]]]);var e=g(f());var N=(0,e.defineComponent)({__name:"stagingDetails",setup(t){let o=(0,e.reactive)({month:"2022-02-01"}),r=s=>h(this,null,function*(){b("log","at pages/my/stagingDetails.nvue:45","--------------------path--------------------","/pages/"+s),s==="BACK"?uni.navigateBack({delta:1}):["sfove/home","order/index","customer/customer","my/my"].includes(s)?uni.switchTab({url:`/pages/${s}`}):uni.navigateTo({url:`/pages/${s}`})}),a=[{money:"1,488.00",date:"2022-01-01",num:1,isalsomoney:!0},{money:"1,488.00",date:"2022-02-01",num:2,isalsomoney:!0},{money:"1,488.00",date:"2022-03-01",num:3,isalsomoney:!1},{money:"1,488.00",date:"2022-04-01",num:4,isalsomoney:!1},{money:"1,488.00",date:"2022-05-01",num:5,isalsomoney:!1},{money:"1,488.00",date:"2022-06-01",num:6,isalsomoney:!1}];return(s,c)=>{let p=S((0,e.resolveDynamicComponent)("x-Header"),k);return(0,e.openBlock)(),(0,e.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,e.createVNode)(p,{background:"#fff"},{box:(0,e.withCtx)(()=>[(0,e.createElementVNode)("view",{class:"headerbox"},[(0,e.createElementVNode)("u-text",{class:"font"},"\u5206\u671F\u8BE6\u60C5")])]),_:1}),(0,e.createElementVNode)("view",{class:"wrap"},[((0,e.openBlock)(),(0,e.createElementBlock)(e.Fragment,null,(0,e.renderList)(a,(i,l)=>(0,e.createElementVNode)("view",{class:"tops",key:l},[i.date==o.month?((0,e.openBlock)(),(0,e.createElementBlock)("view",{key:0,class:"contents"},[(0,e.createElementVNode)("view",{class:"lefts"},[(0,e.createElementVNode)("u-text",{class:"fonts1"},(0,e.toDisplayString)(i.date)+"\u5E94\u8FD8(\u5143)",1),(0,e.createElementVNode)("u-text",{class:"fonts2"},(0,e.toDisplayString)(i.money),1)]),(0,e.createElementVNode)("u-text",{class:"rights",onClick:c[0]||(c[0]=u=>r("order/pay/yespay?money=1488&uuid=y1&caruuid=ding2"))},"\u67E5\u770B\u8BA2\u5355")])):(0,e.createCommentVNode)("",!0)])),64)),(0,e.createElementVNode)("view",{class:"centers"},[((0,e.openBlock)(),(0,e.createElementBlock)(e.Fragment,null,(0,e.renderList)(a,(i,l)=>(0,e.createElementVNode)("view",{class:(0,e.normalizeClass)(["content",l+1!=a.length?"underline":""]),key:"centers"+l},[(0,e.createElementVNode)("view",{class:"con-lefts"},[(0,e.createElementVNode)("u-text",{class:(0,e.normalizeClass)(i.isalsomoney?"con-fontstwo1":"con-fonts1")},(0,e.toDisplayString)(i.money),3),(0,e.createElementVNode)("u-text",{class:(0,e.normalizeClass)(i.isalsomoney?"con-fontstwo2":"con-fonts2")},(0,e.toDisplayString)(i.date)+"\u5E94\u8FD8"+(0,e.toDisplayString)(i.num)+"/"+(0,e.toDisplayString)(a.length)+"\u671F",3)]),i.isalsomoney?(0,e.createCommentVNode)("",!0):((0,e.openBlock)(),(0,e.createElementBlock)("view",{key:0,class:"con-rights",onClick:c[1]||(c[1]=u=>r("order/pay/pay?money=1488&uuid=y1&caruuid=ding2"))},[(0,e.createElementVNode)("u-text",{class:"con-fonts"},"\u53BB\u652F\u4ED8")]))],2)),64))])])])}}}),A={headerbox:{"":{display:"flex",flexDirection:"row",width:"420rpx"}},font:{".headerbox ":{fontSize:"38rpx",fontWeight:"600"}},wrap:{"":{width:"750rpx",display:"flex",flexDirection:"column",alignItems:"center"}},tops:{".wrap ":{display:"flex",flexDirection:"column",alignItems:"center"}},contents:{".wrap .tops ":{width:"640rpx",display:"flex",flexDirection:"row",alignItems:"center",justifyContent:"space-between",marginTop:"50rpx",marginBottom:"50rpx"}},fonts1:{".wrap .tops .contents .lefts ":{fontSize:"26rpx",fontWeight:"600",marginBottom:"20rpx"}},fonts2:{".wrap .tops .contents .lefts ":{fontSize:"50rpx",fontWeight:"600"}},rights:{".wrap .tops .contents ":{width:"150rpx",height:"55rpx",borderWidth:1,borderStyle:"solid",borderColor:"#000000",fontSize:"26rpx",borderRadius:"50rpx",textAlign:"center",lineHeight:"50rpx"}},centers:{".wrap ":{width:"700rpx",backgroundColor:"#ffffff",borderRadius:"20rpx",paddingTop:"10rpx",paddingRight:0,paddingBottom:"10rpx",paddingLeft:0,display:"flex",flexDirection:"column",alignItems:"center"}},content:{".wrap .centers ":{width:"640rpx",height:"150rpx",display:"flex",flexDirection:"row",alignItems:"center",justifyContent:"space-between",paddingTop:0,paddingRight:"15rpx",paddingBottom:0,paddingLeft:"15rpx"}},"con-fonts1":{".wrap .centers .content .con-lefts ":{fontSize:"34rpx",fontWeight:"600",marginBottom:"10rpx"}},"con-fonts2":{".wrap .centers .content .con-lefts ":{fontSize:"26rpx",color:"#6D6D6D"}},"con-fontstwo1":{".wrap .centers .content .con-lefts ":{fontSize:"34rpx",fontWeight:"600",marginBottom:"10rpx",color:"#B6B6B6"}},"con-fontstwo2":{".wrap .centers .content .con-lefts ":{fontSize:"26rpx",color:"#B6B6B6"}},"con-rights":{".wrap .centers .content ":{width:"120rpx",height:"60rpx",borderRadius:"50rpx",backgroundColor:"#FCC05D",display:"flex",flexDirection:"column",justifyContent:"center"}},"con-fonts":{".wrap .centers .content .con-rights ":{textAlign:"center",fontSize:"20rpx",color:"#ffffff"}},underline:{".wrap .centers ":{borderBottomWidth:1,borderBottomStyle:"dashed",borderBottomColor:"#EFEFEF"}}},m=d(N,[["styles",[A]]]);var y=plus.webview.currentWebview();if(y){let t=parseInt(y.id),o="pages/my/stagingDetails",r={};try{r=JSON.parse(y.__query__)}catch(s){}m.mpType="page";let a=Vue.createPageApp(m,{$store:getApp({allowDefault:!0}).$store,__pageId:t,__pagePath:o,__pageQuery:r});a.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...m.styles||[]])),a.mount("#root")}})();
