"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var v=Object.create;var x=Object.defineProperty;var C=Object.getOwnPropertyDescriptor;var S=Object.getOwnPropertyNames;var T=Object.getPrototypeOf,L=Object.prototype.hasOwnProperty;var B=(n,o)=>()=>(o||n((o={exports:{}}).exports,o),o.exports);var k=(n,o,t,a)=>{if(o&&typeof o=="object"||typeof o=="function")for(let i of S(o))!L.call(n,i)&&i!==t&&x(n,i,{get:()=>o[i],enumerable:!(a=C(o,i))||a.enumerable});return n};var p=(n,o,t)=>(t=n!=null?v(T(n)):{},k(o||!n||!n.__esModule?x(t,"default",{value:n,enumerable:!0}):t,n));var A=(n,o,t)=>new Promise((a,i)=>{var m=u=>{try{s(t.next(u))}catch(r){i(r)}},d=u=>{try{s(t.throw(u))}catch(r){i(r)}},s=u=>u.done?a(u.value):Promise.resolve(u.value).then(m,d);s((t=t.apply(n,o)).next())});var f=B(($,h)=>{h.exports=Vue});var g=B((W,w)=>{w.exports=uni.Pinia});var l=p(f());var R="onLoad";function F(n,o,...t){uni.__log__?uni.__log__(n,o,...t):console[n].apply(console,[...t,o])}var O=n=>(o,t=(0,l.getCurrentInstance)())=>{!l.isInSSRComponentSetup&&(0,l.injectHook)(n,o,t)};var y=O(R);var e=p(f());var _=p(g()),D=(0,_.defineStore)("login",{state:()=>({avatar:"",name:"",phone:"",token:"",store:{city_uuid:"",company_name:"",name:"",uuid:""}})});var b=(n,o)=>{let t=n.__vccOpts||n;for(let[a,i]of o)t[a]=i;return t};var J=p(g());var P=(0,e.defineComponent)({__name:"login",setup(n){let o=D(),t=(0,e.reactive)({radio:!1,phone:""}),a=()=>{t.radio=!t.radio},i=s=>{plus.runtime.openURL({\u7528\u6237\u670D\u52A1\u534F\u8BAE:"https://www.sfove.com/agreement/%E5%B0%8F%E8%8A%99%E7%A7%9F%E8%BD%A6%E7%94%A8%E6%88%B7%E6%9C%8D%E5%8A%A1%E5%8D%8F%E8%AE%AE.htm",\u9690\u79C1\u534F\u8BAE:"https://www.sfove.com/agreement/%E5%B0%8F%E8%8A%99%E7%A7%9F%E8%BD%A6%E9%9A%90%E7%A7%81%E4%BF%9D%E6%8A%A4%E5%A3%B0%E6%98%8E.htm",\u7535\u4FE1\u7EDF\u4E00\u534F\u8BAE\u8BA4\u8BC1\u670D\u52A1\u6761\u6B3E:"https://e.189.cn/sdk/agreement/detail.do?hidetop=true",\u5185\u5BB9\u5E73\u53F0\u534F\u8BAE:"https://www.sfove.com/agreement/%E5%B0%8F%E8%8A%99%E7%A7%9F%E8%BD%A6%E5%86%85%E5%AE%B9%E5%B9%B3%E5%8F%B0%E5%8D%8F%E8%AE%AE.htm"}[s])};y(()=>{});let m=()=>{let s=/^[1][3,4,5,7,8,9][0-9]{9}$/;t.radio?t.phone.length==11?s.test(t.phone)?uni.request({url:"https://api.sfove.com/AppSide/UniLogin",method:"POST",header:{"content-type":"application/json;charset:utf-8"},data:{phone:t.phone},success(u){if(u.data&&u.data.data){let r=u.data.data;o.avatar=r.avatar,o.name=r.name,o.phone=r.phone,o.token=r.token,r.store&&(o.store.city_uuid=r.store.city_uuid,o.store.company_name=r.store.company_name,o.store.name=r.store.name,o.store.uuid=r.store.uuid),uni.showTabBar({animation:!0}),uni.reLaunch({url:"/pages/sfove/home"})}}}):uni.showToast({title:"\u8BF7\u586B\u5199\u6B63\u786E\u7684\u624B\u673A\u53F7\u7801",icon:"none",duration:2e3}):uni.showToast({title:"\u624B\u673A\u53F7\u7801\u672A\u586B\u5199\u5B8C\u6574",icon:"none",duration:2e3}):uni.showToast({title:"\u60A8\u8FD8\u6CA1\u6709\u52FE\u9009\u670D\u52A1\u534F\u8BAE\uFF01",icon:"none",duration:2e3})},d=s=>A(this,null,function*(){F("log","at pages/my/login.nvue:134","--------------------path--------------------","/pages/"+s),s==="BACK"?uni.navigateBack({delta:1}):["sfove/home","order/index","customer/customer","my/my"].includes(s)?uni.switchTab({url:`/pages/${s}`}):uni.navigateTo({url:`/pages/${s}`})});return(s,u)=>((0,e.openBlock)(),(0,e.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,e.createElementVNode)("view",{class:"all"},[(0,e.createElementVNode)("u-text",{class:"top",onClick:u[0]||(u[0]=r=>d("BACK"))},"\u7A0D\u540E"),(0,e.createElementVNode)("u-image",{class:"image",src:"https://gd-hbimg.huaban.com/f27009ca81f54c158c3ae21cc7d07392d16cbd0b3fe7d-Qr5Jte_fw658"}),(0,e.createElementVNode)("u-text",{class:"log-font"},"\u6CE8\u518C&\u767B\u5F55"),(0,e.createElementVNode)("u-input",{type:"number",class:"inputPhone",modelValue:t.phone,onInput:u[1]||(u[1]=r=>t.phone=r.detail.value),maxlength:"11",confirmType:"done",placeholderStyle:"font-size:16px;color: #FDBA4D;",placeholder:" \u8BF7\u8F93\u5165\u624B\u673A\u53F7"},null,40,["modelValue"]),(0,e.createElementVNode)("view",{class:"btns",onClick:m},[(0,e.createElementVNode)("u-text",{class:"fonts"},"\u767B\u5F55\u5373\u523B\u4EAB\u53D7\u4F4E\u4EF7")]),(0,e.createElementVNode)("view",{class:"under"},[(0,e.createElementVNode)("view",{class:(0,e.normalizeClass)(t.radio?"lefts":"leftsTwo"),onClick:a},[t.radio?((0,e.openBlock)(),(0,e.createElementBlock)("u-text",{key:0,class:"myIcon icons"},"\uEBE6")):(0,e.createCommentVNode)("",!0)],2),(0,e.createElementVNode)("view",{class:"rights"},[(0,e.createElementVNode)("view",{class:"agreement-top"},[(0,e.createElementVNode)("u-text",{class:"myfont"},"\xA0\xA0\u6211\u5DF2\u9605\u8BFB\u5E76\u540C\u610F\u300A"),(0,e.createElementVNode)("u-text",{class:"myfonts",onClick:u[2]||(u[2]=r=>i("\u7528\u6237\u670D\u52A1\u534F\u8BAE"))},"\u7528\u6237\u670D\u52A1\u534F\u8BAE"),(0,e.createElementVNode)("u-text",{class:"myfont"},"\u300B\u3001\u300A"),(0,e.createElementVNode)("u-text",{class:"myfonts",onClick:u[3]||(u[3]=r=>i("\u9690\u79C1\u534F\u8BAE"))},"\u9690\u79C1\u534F\u8BAE"),(0,e.createElementVNode)("u-text",{class:"myfont"},"\u300B")]),(0,e.createElementVNode)("view",{class:"agreement-under"},[(0,e.createElementVNode)("u-text",{class:"myfont"},"\u300A"),(0,e.createElementVNode)("u-text",{class:"myfonts",onClick:u[4]||(u[4]=r=>i("\u7535\u4FE1\u7EDF\u4E00\u534F\u8BAE\u8BA4\u8BC1\u670D\u52A1\u6761\u6B3E"))},"\u7535\u4FE1\u7EDF\u4E00\u534F\u8BAE\u8BA4\u8BC1\u670D\u52A1\u6761\u6B3E"),(0,e.createElementVNode)("u-text",{class:"myfont"},"\u300B\u3001\u300A"),(0,e.createElementVNode)("u-text",{class:"myfonts",onClick:u[5]||(u[5]=r=>i("\u5185\u5BB9\u5E73\u53F0\u534F\u8BAE"))},"\u5185\u5BB9\u5E73\u53F0\u534F\u8BAE"),(0,e.createElementVNode)("u-text",{class:"myfont"},"\u300B")])])])])]))}}),z={all:{"":{width:"750rpx",paddingTop:"170rpx",display:"flex",flexDirection:"column",alignItems:"center"}},top:{".all ":{marginLeft:"550rpx",color:"#6E6E73",fontSize:"30rpx"}},image:{".all ":{borderRadius:"100rpx",width:"200rpx",height:"200rpx",marginTop:"90rpx",marginRight:"90rpx",marginBottom:"90rpx",marginLeft:"90rpx"}},"log-font":{".all ":{fontSize:"66rpx",fontWeight:"600"}},inputPhone:{".all ":{borderWidth:1,borderStyle:"solid",borderColor:"#d9d9d9",borderRadius:"8rpx",width:"380rpx",height:"100rpx",marginTop:"60rpx",paddingTop:"30rpx",paddingRight:"30rpx",paddingBottom:"30rpx",paddingLeft:"30rpx",fontSize:24,fontWeight:"600"}},"phone-font":{".all ":{fontSize:"26rpx",color:"#6E6E73",marginTop:"30rpx"}},btns:{".all ":{backgroundColor:"#FDBA4D",borderRadius:"30rpx",width:"600rpx",height:"90rpx",marginTop:"100rpx",marginRight:0,marginBottom:"20rpx",marginLeft:0}},fonts:{".all .btns ":{color:"#ffffff",fontWeight:"600",fontSize:"30rpx",textAlign:"center",lineHeight:"90rpx"}},"other-phone":{".all ":{fontSize:"26rpx",color:"#FDBA4D"}},under:{".all ":{marginLeft:"70rpx",display:"flex",flexDirection:"row",alignItems:"center",position:"fixed",bottom:"80rpx"}},lefts:{".all .under ":{backgroundColor:"#00D455",width:"40rpx",height:"40rpx",borderRadius:"50rpx",marginTop:0,marginRight:"20rpx",marginBottom:0,marginLeft:0,display:"flex",justifyContent:"center",alignItems:"center"}},icons:{".all .under .lefts ":{color:"#ffffff",lineHeight:"40rpx"}},leftsTwo:{".all .under ":{borderWidth:1,borderStyle:"solid",borderColor:"#afafaf",width:"40rpx",height:"40rpx",borderRadius:"50rpx",marginTop:0,marginRight:"20rpx",marginBottom:0,marginLeft:0}},"agreement-top":{".all .under .rights ":{display:"flex",flexDirection:"row"}},"agreement-under":{".all .under .rights ":{display:"flex",flexDirection:"row",marginTop:"10rpx"}},myfont:{".all .under ":{fontSize:"22rpx"}},myfonts:{".all .under ":{fontSize:"22rpx",borderBottomWidth:1,borderBottomStyle:"solid",borderBottomColor:"#0000FF",color:"#0000FF"}}},c=b(P,[["styles",[z]]]);var E=plus.webview.currentWebview();if(E){let n=parseInt(E.id),o="pages/my/login",t={};try{t=JSON.parse(E.__query__)}catch(i){}c.mpType="page";let a=Vue.createPageApp(c,{$store:getApp({allowDefault:!0}).$store,__pageId:n,__pagePath:o,__pageQuery:t});a.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...c.styles||[]])),a.mount("#root")}})();
