"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var x=Object.create;var b=Object.defineProperty;var h=Object.getOwnPropertyDescriptor;var v=Object.getOwnPropertyNames;var k=Object.getPrototypeOf,S=Object.prototype.hasOwnProperty;var E=(o,t)=>()=>(t||o((t={exports:{}}).exports,t),t.exports);var I=(o,t,r,s)=>{if(t&&typeof t=="object"||typeof t=="function")for(let a of v(t))!S.call(o,a)&&a!==r&&b(o,a,{get:()=>t[a],enumerable:!(s=h(t,a))||s.enumerable});return o};var u=(o,t,r)=>(r=o!=null?x(k(o)):{},I(t||!o||!o.__esModule?b(r,"default",{value:o,enumerable:!0}):r,o));var l=E((A,m)=>{m.exports=Vue});var e=u(l());var i=(o,t)=>{let r=o.__vccOpts||o;for(let[s,a]of t)r[s]=a;return r};var B=(0,e.defineComponent)({__name:"Header",props:{back:{type:Boolean,default:!0},background:{default:"white"},full:{type:Boolean,default:!0},statusBar:{default:"dark"},blur:{default:"none"},labels:{default:()=>["one","two"]}},setup(o){let t=o,r=()=>uni.navigateBack({delta:1}),s=uni.getSystemInfoSync(),a=s.safeAreaInsets.top+s.statusBarHeight+"rpx",d=s.statusBarHeight*(750/s.windowWidth)+85+"rpx";return plus.navigator.setStatusBarStyle(t.statusBar=="dark"?"dark":"light"),(f,H)=>((0,e.openBlock)(),(0,e.createElementBlock)(e.Fragment,null,[(0,e.createElementVNode)("view",{class:"headerbox",blurEffect:(0,e.unref)(t).blur,style:(0,e.normalizeStyle)({background:(0,e.unref)(t).background,height:(0,e.unref)(d),"padding-top":(0,e.unref)(a)})},[o.back?((0,e.openBlock)(),(0,e.createElementBlock)("view",{key:0,class:"back",onClick:r},[(0,e.renderSlot)(f.$slots,"back",{},()=>[(0,e.createElementVNode)("u-text",{class:"myIcon"},"\uE779")])])):(0,e.createCommentVNode)("",!0),(0,e.renderSlot)(f.$slots,"box")],12,["blurEffect"]),(0,e.unref)(t).full?((0,e.openBlock)(),(0,e.createElementBlock)("view",{key:0,class:"empty",style:(0,e.normalizeStyle)({height:(0,e.unref)(d)})},null,4)):(0,e.createCommentVNode)("",!0)],64))}}),L={headerbox:{"":{width:"750rpx",position:"fixed",zIndex:999,display:"flex",flexDirection:"row",alignItems:"center",justifyContent:"space-between",paddingLeft:"25rpx",paddingRight:"25rpx"}},back:{".headerbox ":{width:"60rpx",height:"60rpx"}},myIcon:{".headerbox .back ":{fontSize:"50rpx"}},empty:{".headerbox ":{width:"160rpx",height:"50rpx"},"":{width:"750rpx"}}},w=i(B,[["styles",[L]]]);var n=u(l());var c=u(l()),R=o=>typeof o=="string";var C="onLoad";function g(o,t){return R(o)?t:o}var N=o=>(t,r=(0,c.getCurrentInstance)())=>{!c.isInSSRComponentSetup&&(0,c.injectHook)(o,t,r)};var y=N(C);var O=(0,n.defineComponent)({__name:"webview",setup(o){let t=(0,n.reactive)({URL:"",webviewStyles:{progress:{color:"#fdba4d"}}});return y(r=>{t.URL=r.url}),(r,s)=>{let a=g((0,n.resolveDynamicComponent)("x-Header"),w);return(0,n.openBlock)(),(0,n.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,n.createVNode)(a,{full:!0,background:"transparent"},{back:(0,n.withCtx)(()=>[(0,n.createElementVNode)("u-text",{class:"myIcon backIcon"},"\uE603")]),_:1}),(0,n.createElementVNode)("view",{class:"container"},[(0,n.createElementVNode)("u-web-view",{webviewStyles:t.webviewStyles,class:"webview",src:t.URL},null,8,["webviewStyles","src"])])])}}}),D={backIcon:{"":{fontSize:30}},container:{"":{flexDirection:"column",flex:1}},webview:{"":{width:"750rpx",position:"absolute",top:0,bottom:0,left:0,right:0}}},p=i(O,[["styles",[D]]]);var _=plus.webview.currentWebview();if(_){let o=parseInt(_.id),t="pages/sfove/webview",r={};try{r=JSON.parse(_.__query__)}catch(a){}p.mpType="page";let s=Vue.createPageApp(p,{$store:getApp({allowDefault:!0}).$store,__pageId:o,__pagePath:t,__pageQuery:r});s.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...p.styles||[]])),s.mount("#root")}})();
